### Method

# Camel MessageInfo dup_headers

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_message_info_dup_headers (
      const CamelMessageInfo* mi
    )

#### Description [src]

Duplicates array of headers for the `mi`.

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

All the message headers of the associated message, or `NULL`, when none are available. Free returned array with `camel_name_value_array_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.